<form #contactForm="ngForm" (ngSubmit)="onSubmit(contactForm.value, contactForm)">
  <div class="form row">
    <input  #fullName="ngModel" (focusout)="getByName()" id="search" required class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" type="text" name="FullName" ngModel i18n-placeholder placeholder="  &#xf234;  Contact Name...">
    <select *ngIf="!contact" class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" type="text" name="Type" ngModel>
      <option i18n value="" selected disabled>  &#xf02c;    Contact Type...</option>
      <option i18n>ContactType1</option>
      <option i18n>ContactType2</option>
      <option i18n>ContactType3</option>
    </select>
    <select *ngIf="contact" class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" type="text" name="Type" [(ngModel)]="type">
      <option i18n>ContactType1</option>
      <option i18n>ContactType2</option>
      <option i18n>ContactType3</option>
    </select>
    <input *ngIf="!contact" class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" type="text" name="Phone" ngModel i18n-placeholder placeholder="  &#xf095;   Phone Number...">
    <input *ngIf="contact" class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" type="text" name="Phone" [(ngModel)]="contact.phone" i18n-placeholder placeholder="  &#xf095;   Phone Number...">
    <input *ngIf="!contact" class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" name="BirthDate" type="text" ngModel ngbDatepicker #d="ngbDatepicker" (click)="d.toggle()" [minDate]="{year: 1970, month: 1, day: 1}"
    [maxDate]="{year: 2048, month: 12, day: 31}" i18n-placeholder placeholder="  &#xF073;   Birth Date...">
    <input *ngIf="contact" class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" name="BirthDate" type="text" [(ngModel)]="model" ngbDatepicker #d="ngbDatepicker" (click)="d.toggle()" [minDate]="{year: 1970, month: 1, day: 1}"
    [maxDate]="{year: 2048, month: 12, day: 31}" i18n-placeholder placeholder="  &#xF073;   Birth Date...">
  </div>
  <ckeditor *ngIf="contact" i18n name="Description" [(ngModel)]="contact.description"  [editor]="Editor"></ckeditor>
  <ckeditor *ngIf="!contact" i18n name="Description" ngModel  [editor]="Editor" data="<p>Short Description</p>"></ckeditor>
  <button i18n href="addreserve" class="btn btn-danger" type="submit" [disabled]="contactForm.invalid">Send</button>
</form>
